﻿using Shelest.classes;
using Shelest.page;
using System.ComponentModel;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Shelest
{
    /// <summary>
    /// Логика взаимодействия для MainWindow.xaml
    /// </summary>
    public partial class Agent
    {
        public string ImageUrl
        {
            get
            {
                if (Logo == null)
                {
                    return "\\image\\picture.png";
                }
                else
                {
                    return Logo;
                }

            }
        }
        public string AgentTypeString
        {
            get
            {
                return AgentType.Title.ToString() + " | " + Title.ToString(); 
            }
        }
        public string DateProductCountString
        {
            get
            {
                //string str = "";
                //DateTime str_1;
                //foreach (var item in ProductSale)
                //{
                //    str_1 = Convert.ToDateTime(item.SaleDate);
                //}
                //if(str_1 >= 365)
                return "";
            }
        }
        public string ProductCountString
        {
            get
            {
                int str_1 = 0;
                foreach (var item in ProductSale)
                {
                    str_1 += item.ProductCount;
                }
                if(str_1 >= 500)
                    return "25%";
                else if(str_1 >= 150)
                    return "20%";
                else if (str_1 >= 50)
                    return "10%";
                else if (str_1 >= 10)
                    return "5%";
                else return "0%";
            }
        }
        public string PriorityString
        {
            get
            {
                return "Приоритетность: " + Priority.ToString();
            }
        }
    }
    public partial class MainWindow : Window
    {
        private List<Agent> _AgentList;
        public List<Agent> AgentList
        {
            get { return _AgentList; }
            set { _AgentList = value; }
        }
        public MainWindow()
        {
            this.DataContext = this;
            AgentList = Core.DB.Agent.ToList();
            InitializeComponent();
        }
        private void Add_Click(object sender, RoutedEventArgs e)
        {
            var NewAgentWindowsAgent = new Agent();
            //var newAgentWindows = WIndowsAgent(NewAgentWindowsAgent);
            //if ((bool)newAgentWindows.ShowDialog(true))
            //{
            //    AgentList = Core.DB.Agent.ToList();
            //}
        }

        private void ListAgent_MouseDoubleClick(object sender, MouseButtonEventArgs e)
        {
            var AgentWindowsAgent = ListAgent.SelectedItem as Agent;
            //var AgentWindows = WIndowsAgent(AgentWindowsAgent);
            //if ((bool)AgentWindows.ShowDialog(true))
            //{
            //    AgentList = Core.DB.Agent.ToList();
            //}
        }
    }
}
